Package org.opencv.xfeatures2d

## Class HarrisLaplaceFeatureDetector

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features.Feature2D
    - - org.opencv.xfeatures2d.HarrisLaplaceFeatureDetector

-     public class HarrisLaplaceFeatureDetector
      extends Feature2D

  Class implementing the Harris-Laplace feature detector as described in CITE: Mikolajczyk2004.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `HarrisLaplaceFeatureDetector​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HarrisLaplaceFeatureDetector` | `__fromPtr__​(long addr)` |
    `static HarrisLaplaceFeatureDetector` | `create()` | Creates a new implementation instance.
    `static HarrisLaplaceFeatureDetector` | `create​(int numOctaves)` | Creates a new implementation instance.
    `static HarrisLaplaceFeatureDetector` | `create​(int numOctaves, float corn_thresh)` | Creates a new implementation instance.
    `static HarrisLaplaceFeatureDetector` | `create​(int numOctaves, float corn_thresh, float DOG_thresh)` | Creates a new implementation instance.
    `static HarrisLaplaceFeatureDetector` | `create​(int numOctaves, float corn_thresh, float DOG_thresh, int maxCorners)` | Creates a new implementation instance.
    `static HarrisLaplaceFeatureDetector` | `create​(int numOctaves, float corn_thresh, float DOG_thresh, int maxCorners, int num_layers)` | Creates a new implementation instance.
    `protected void` | `finalize()` |
    `float` | `getCornThresh()` |
    `java.lang.String` | `getDefaultName()` | Returns the algorithm string identifier.
    `float` | `getDOGThresh()` |
    `int` | `getMaxCorners()` |
    `int` | `getNumLayers()` |
    `int` | `getNumOctaves()` |
    `void` | `setCornThresh​(float corn_thresh_)` |
    `void` | `setDOGThresh​(float DOG_thresh_)` |
    `void` | `setMaxCorners​(int maxCorners_)` |
    `void` | `setNumLayers​(int num_layers_)` |
    `void` | `setNumOctaves​(int numOctaves_)` |

    - ### Methods inherited from class org.opencv.features.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HarrisLaplaceFeatureDetector

          protected HarrisLaplaceFeatureDetector​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static HarrisLaplaceFeatureDetector __fromPtr__​(long addr)

    - #### create

          public static HarrisLaplaceFeatureDetector create​(int numOctaves,
                                                            float corn_thresh,
                                                            float DOG_thresh,
                                                            int maxCorners,
                                                            int num_layers)

      Creates a new implementation instance.
      Parameters:
        `numOctaves` - the number of octaves in the scale-space pyramid
        `corn_thresh` - the threshold for the Harris cornerness measure
        `DOG_thresh` - the threshold for the Difference-of-Gaussians scale selection
        `maxCorners` - the maximum number of corners to consider
        `num_layers` - the number of intermediate scales per octave
      Returns:
        automatically generated

    - #### create

          public static HarrisLaplaceFeatureDetector create​(int numOctaves,
                                                            float corn_thresh,
                                                            float DOG_thresh,
                                                            int maxCorners)

      Creates a new implementation instance.
      Parameters:
        `numOctaves` - the number of octaves in the scale-space pyramid
        `corn_thresh` - the threshold for the Harris cornerness measure
        `DOG_thresh` - the threshold for the Difference-of-Gaussians scale selection
        `maxCorners` - the maximum number of corners to consider
      Returns:
        automatically generated

    - #### create

          public static HarrisLaplaceFeatureDetector create​(int numOctaves,
                                                            float corn_thresh,
                                                            float DOG_thresh)

      Creates a new implementation instance.
      Parameters:
        `numOctaves` - the number of octaves in the scale-space pyramid
        `corn_thresh` - the threshold for the Harris cornerness measure
        `DOG_thresh` - the threshold for the Difference-of-Gaussians scale selection
      Returns:
        automatically generated

    - #### create

          public static HarrisLaplaceFeatureDetector create​(int numOctaves,
                                                            float corn_thresh)

      Creates a new implementation instance.
      Parameters:
        `numOctaves` - the number of octaves in the scale-space pyramid
        `corn_thresh` - the threshold for the Harris cornerness measure
      Returns:
        automatically generated

    - #### create

          public static HarrisLaplaceFeatureDetector create​(int numOctaves)

      Creates a new implementation instance.
      Parameters:
        `numOctaves` - the number of octaves in the scale-space pyramid
      Returns:
        automatically generated

    - #### create

          public static HarrisLaplaceFeatureDetector create()

      Creates a new implementation instance.
      Returns:
        automatically generated

    - #### setNumOctaves

          public void setNumOctaves​(int numOctaves_)

    - #### getNumOctaves

          public int getNumOctaves()

    - #### setCornThresh

          public void setCornThresh​(float corn_thresh_)

    - #### getCornThresh

          public float getCornThresh()

    - #### setDOGThresh

          public void setDOGThresh​(float DOG_thresh_)

    - #### getDOGThresh

          public float getDOGThresh()

    - #### setMaxCorners

          public void setMaxCorners​(int maxCorners_)

    - #### getMaxCorners

          public int getMaxCorners()

    - #### setNumLayers

          public void setNumLayers​(int num_layers_)

    - #### getNumLayers

          public int getNumLayers()

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Description copied from class: `Algorithm`
      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Overrides:
        `getDefaultName` in class `Feature2D`
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`